Kerbal Space Program - Bug #24249

M.E.M. Control Orientation Wrong
10/30/2019 11:41 PM - hihosilver28

Status: Confirmed Start date: 10/30/2019
Severity: Low % Done: 10%
Assignee: Robert.Keech

Category: Parts

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

The control orientation for the Munar Excursion Module (M.E.M.) is rotated 180 degrees from the proper orientation. When you are in
the internal view (or external) and yaw left, the ship rotates to the right, and vice versa for yawing right. In the attached screenshots,
you can see that the camera is pointed towards the hatch of the craft, which is the front. When | yaw left, the ship rotates left in the
camera view, but from the perspective of the craft, it is yawing right. The attached craft has a docking port jr. on the top of the craft
that is rotated 180 degrees in the roll axis. If you control from there, the craft behaves properly in external view, but the controls
revert in IVA.

The control orientation should be rotated 180 degrees along the roll axis for it to be properly aligned.

Related issues:
Related to Kerbal Space Program - Bug #18030: DLC MEM should be rotated 180 d... Confirmed 03/13/2018

History

#1 - 11/08/2019 06:35 PM - raptor9_ksp
This was written up in similar fashion by myself (https:/bugs.kerbalspaceprogram.com/issues/18030) after the DLC was originally released.

However, when they added the ability to change control point orientation in the PAW, this issue became irrelevant. Try right-clicking on the MEM part,
then change control point to forward. This should result in the behavior you desire.

#2 - 11/08/2019 08:19 PM - hihosilver28

raptor9_ksp wrote:
This was written up in similar fashion by myself (https:/bugs.kerbalspaceprogram.com/issues/18030) after the DLC was originally released.

However, when they added the ability to change control point orientation in the PAW, this issue became irrelevant. Try right-clicking on the MEM
part, then change control point to forward. This should result in the behavior you desire.

| did see your issue, and wanted to state that it was still a problem in 1.8.1. | did not try changing the control point to forward, though. Also, finding the
toggle in the options that allows you to maintain your control point when switching to IVA was a life saver as well in this case, as | could control from
the docking port while using internal view.

#3 - 06/02/2020 02:33 PM - Robert.Keech

- Assignee set to Robert.Keech

#4 - 06/02/2020 02:41 PM - Robert.Keech
- Related to Bug #18030: DLC MEM should be rotated 180 degrees for proper pitch response added

#6 - 06/02/2020 02:41 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10
